PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

void CORE_slaed3_merge | ( | int | n,
|  | int | K,
|  | float * | D,
|  | int * | INDXQ
| ) |  |

CORE_slaed3_merge - Merge the eigenvalues of two subproblems and generates the index arrays to sort the associated eigenvectors.

Parameters

  [in] | n | n specifies the dimension of the symmetric tridiagonal matrix
  [in] | K | K specifies the number of non-deflated eigenvalues
  [out] | D | Array of float of size n. On exit, stores the sorted eigenvalues.
  [out] | INDXQ | Array of integers of size n. On exit, INDXQ stores the permutation array to sort the eigenvectors.